package eu.eudat.data.dao.entities;

import eu.eudat.data.dao.DatabaseAccessLayer;
import eu.eudat.data.entities.UserAssociation;
import eu.eudat.data.entities.UserInfo;

import java.util.List;
import java.util.UUID;

public interface UserAssociationDao extends DatabaseAccessLayer<UserAssociation, UUID> {

	public List<UserAssociation> getAssociated(UserInfo userId);

	public Boolean areAssociated(UserInfo firstUser, UserInfo secondUser);
}
