CREATE TABLE public."Invitation" (
    "Id" uuid NOT NULL,
    "InvitationEmail" character varying NOT NULL,
    "Token" uuid NOT NULL,
    "CreationUser" uuid NOT NULL,
    "Dmp" uuid NOT NULL,
    "Properties" xml,
    "AcceptedInvitation" boolean
);


ALTER TABLE public."Invitation" OWNER TO dmptool;

ALTER TABLE ONLY public."Invitation"
    ADD CONSTRAINT "Invitation_pkey" PRIMARY KEY ("Id");


ALTER TABLE ONLY public."Invitation"
    ADD CONSTRAINT fk_invitation_creator FOREIGN KEY ("CreationUser") REFERENCES public."UserInfo"(id);


ALTER TABLE ONLY public."Invitation"
    ADD CONSTRAINT fk_invitation_dmp FOREIGN KEY ("Dmp") REFERENCES public."DMP"("ID");